package com.jclark.xsl;

class RootQuery implements SubQuery {
  public NodeIterator select(ProcessContext context, Node node) {
    for (;;) {
      Node tem = node.getParent();
      if (tem == null)
	break;
      node = tem;
    }
    return new SingleNodeIterator(node);
  }
  public SubQuery createUnion(SubQuery query) {
    if (query instanceof RootQuery)
      return this;
    return null;
  }
}
