package com.jclark.xsl;

class ConstantExpression implements Expression {
  private String str;
  ConstantExpression(String str) {
    this.str = str;
  }
  public String eval(ProcessContext context, Node sourceNode) {
    return str;
  }
  public void evalAdd(ProcessContext context, Node sourceNode, Result result) throws XSLException {
    result.characters(str);
  }
  String getConstantValue() {
    return str;
  }
}
